Bug 147010 - Anjuta x86_64 crashes when creating a new project.
Anjuta x86_64 crashes when creating a new project.
Product: Fedora
Classification: Fedora
Component: anjuta (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Phillip Compton
Depends On:
  Show dependency treegraph
Reported: 2005-02-03 12:55 EST by Thorsten Leemhuis
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-10 15:04:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anjuta-backtrace (3.33 KB, application/octet-stream)
2005-02-03 12:55 EST, Thorsten Leemhuis
no flags Details
spec patch proposal (488 bytes, patch)
2005-02-10 13:24 EST, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Thorsten Leemhuis 2005-02-03 12:55:59 EST
Description of problem:
Anjuta x86_64 crashes when creating a new project.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Start Anjuta
2.Create a new project 
3.When finished Anjuta creates the project; AFAICS it tries to run autogen.sh
for it. Then it crahes.
Additional info:
Backtrace attached. Problem reported by Dawid Zamirski <dzrudy@gmail.com>:

I can confirm this. Did not look at the package from dag yet.
Comment 1 Thorsten Leemhuis 2005-02-03 12:55:59 EST
Created attachment 110602 [details]
Comment 2 Thorsten Leemhuis 2005-02-07 08:52:48 EST
Don't ask me why: But removing the "--enable-final" from the configure
fixes this problem.
Comment 3 Michael Schwendt 2005-02-07 09:08:53 EST
In configure.in:

dnl Enable release builds
      [  --enable-final           Build release executables (GCC only)],

In the build log of current CVS version:

gcc -DHAVE_CONFIG_H -I. -I. -I.. -I./include -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include      -O2 -g -pipe -m32 -march=i386
-mtune=pentium4 -DNDEBUG -O0 -g -c args.c

Depending on where they ifdef NDEBUG and how they use it (e.g. for
asserts), it might make sense to get it back into the CFLAGS when
building without --enable-final.
Comment 4 Thorsten Leemhuis 2005-02-10 12:48:21 EST
Phillip( or Michael), how to proceed? I suggest to create an update
that builds on x86_64 without "--enable-final" and fix the real issue
Comment 5 Michael Schwendt 2005-02-10 13:24:49 EST
Created attachment 110927 [details]
spec patch proposal

Feel free to apply something like this if you agree.
Comment 6 Thorsten Leemhuis 2005-02-10 15:04:33 EST
>Created an attachment (id=110927)
>spec patch proposal
>Feel free to apply something like this if you agree.

Commited and build requested. Tested on i386 an x86_86, works fine. 

Note You need to log in before you can comment on or make changes to this bug.